## wayland 1.16.0-1ubuntu1.1~18.04.4

=== debian/changelog ===
wayland (1.16.0-1ubuntu1.1~18.04.4) bionic-security; urgency=medium

  * SECURITY UPDATE: wl_shm reference-count overflow
    - debian/patches/CVE-2021-3782.patch: limit size of wl_map in
      src/wayland-private.h, src/wayland-util.c.
    - CVE-2021-3782

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 14 Sep 2022 09:57:23 -0400

=== debian/control ===
Source: wayland
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
           Héctor Orón Martínez <zumbi@debian.org>
Build-Depends:
 debhelper (>= 10),
 quilt,
 pkg-config,
 libexpat1-dev,
 libffi-dev,
 libxml2-dev,
 libwayland-bin <cross>,
Build-Depends-Indep:
 doxygen,
 graphviz,
 xmlto,
 xsltproc,
 docbook-xsl,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/xorg-team/wayland/wayland.git
Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/wayland
Homepage: https://wayland.freedesktop.org/

Package: libwayland-client0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libwayland0 (<< 1.1.0-1)
Replaces: libwayland0 (<< 1.1.0-1)
Description: wayland compositor infrastructure - client library
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package ships the library that implements the client side of
 the Wayland protocol.

Package: libwayland-egl1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: libwayland-egl1-mesa (<< 18.0.5-0ubuntu0)
Replaces: libwayland-egl1-mesa (<< 18.0.5-0ubuntu0)
Provides: libwayland-egl1-mesa
Description: wayland compositor infrastructure - EGL library
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package ships the library that implements the Wayland EGL platform
 of the Wayland protocol.

Package: libwayland-server0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libwayland0 (<< 1.1.0-1)
Replaces: libwayland0 (<< 1.1.0-1)
Breaks: weston (<< 1.2.0)
Description: wayland compositor infrastructure - server library
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package ships the library that implements the server side of
 the Wayland protocol.

Package: libwayland-cursor0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libwayland0 (<< 1.1.0-1)
Replaces: libwayland0 (<< 1.1.0-1)
Description: wayland compositor infrastructure - cursor library
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package ships a helper library to manage cursors.

Package: libwayland-dev
Section: libdevel
Architecture: any
Suggests: libwayland-doc
Depends:
 libwayland-client0 (= ${binary:Version}),
 libwayland-server0 (= ${binary:Version}),
 libwayland-cursor0 (= ${binary:Version}),
 libwayland-egl1 (= ${binary:Version}),
 libwayland-bin (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: libegl1-mesa-dev (<< 18.0.5-0ubuntu0),
Replaces: libegl1-mesa-dev (<< 18.0.5-0ubuntu0),
Multi-Arch: same
Description: wayland compositor infrastructure - development files
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package contains the development headers for the Wayland libraries.
 Non-developers likely have little use for this package.

Package: libwayland-egl-backend-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: libegl1-mesa-dev (<< 18.0.5-0ubuntu0),
 libwayland-dev (<< 1.15.0)
Replaces: libegl1-mesa-dev (<< 18.0.5-0ubuntu0),
 libwayland-dev (<< 1.15.0)
Multi-Arch: same
Description: wayland compositor infrastructure - EGL backend development files
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package contains the development headers for the Wayland EGL backend.

Package: libwayland-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Conflicts: libwayland-dev (<< 1.10.0-2)
Replaces: libwayland-dev (<< 1.10.0-2)
Description: wayland compositor infrastructure - documentation files
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package contains the documentation for the Wayland libraries.
 Non-developers likely have little use for this package.

Package: libwayland-bin
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libwayland-dev (<< 1.11.0-1)
Replaces: libwayland-dev (<< 1.11.0-1)
Multi-Arch: foreign
Description: wayland compositor infrastructure - binary utilities
 Wayland is a protocol for a compositor to talk to its clients as well
 as a C library implementation of that protocol. The compositor can be
 a standalone display server running on Linux kernel modesetting and
 evdev input devices, an X application, or a wayland client
 itself. The clients can be traditional applications, X servers
 (rootless or fullscreen) or other display servers.
 .
 This package contains the development binary utilities

=== debian/rules ===
#!/usr/bin/make -f

SOURCE=wayland

ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
configure_flags += --with-host-scanner
endif
# Don't build the documentation when not building arch:all packages
ifeq (,$(filter libwayland-doc,$(shell dh_listpackages)))
configure_flags += --disable-documentation
endif

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -plibwayland-client0 \
		-V 'libwayland-client0 (>= 1.2.0)' -- -c4
	dh_makeshlibs -plibwayland-cursor0 \
		-V 'libwayland-cursor0 (>= 1.0.4)' -- -c4
	dh_makeshlibs -plibwayland-egl1 \
		-V 'libwayland-egl1 (>= 1.14.91)' -- -c4
	dh_makeshlibs -plibwayland-server0 \
		-V 'libwayland-server0 (>= 1.2.0)' -- -c4

# Debug package:
override_dh_strip:
	dh_strip -plibwayland-client0 --dbgsym-migration='libwayland-client0 (<< 1.10.0-2)'
	dh_strip -plibwayland-cursor0 --dbgsym-migration='libwayland-cursor0 (<< 1.10.0-2)'
	dh_strip -plibwayland-server0 --dbgsym-migration='libwayland-server0 (<< 1.10.0-2)'
	dh_strip -a --remaining-packages

override_dh_auto_test:
	# the test suite does not pass completely in headless mode
	dh_auto_test || true

%:
	dh $@ --with quilt --builddirectory=build/

# For maintainer use only, generate a tarball:
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream-experimental --prefix=$(SOURCE)-$(UV)/ | gzip -9 > ../$(SOURCE)_$(UV).orig.tar.gz

=== debian/watch ===
#git=git://anongit.freedesktop.org/wayland/wayland
version=4
opts="pgpsigurlmangle=s%$%.sig%" \
https://wayland.freedesktop.org/releases.html releases/wayland-([\d].*)\.tar\.xz

## wayland 1.16.0-1ubuntu2

=== debian/changelog ===
wayland (1.16.0-1ubuntu2) disco; urgency=medium

  * control: Bump Breaks/Replaces again to match reality. (LP: #1781440)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Nov 2018 21:41:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wayland
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
            Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:

## wayland 1.18.0

=== meson_options.txt ===
option('libraries',
  description: 'Compile Wayland libraries',
  type: 'boolean',
  value: 'true')
option('documentation',
  description: 'Build the documentation (requires Doxygen, dot, xmlto, xsltproc)',
  type: 'boolean',
  value: 'true')
option('dtd_validation',
  description: 'Validate the protocol DTD (requires libxml2)',
  type: 'boolean',
  value: 'true')
option('icon_directory',
  description: 'Location used to look for cursors (defaults to ${datadir}/icons if unset)',
  type: 'string',
  value: '')

=== debian/changelog ===
wayland (1.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 12 Feb 2020 11:08:11 +0100

wayland (1.17.93-1~exp1) experimental; urgency=medium

  * RC1 for Wayland 1.18
  * debian/control: bump Standards-Version, no changes
  * debian/*.symbols: update

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 09 Feb 2020 20:56:23 +0100

wayland (1.17.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Bump breaks/replaces on libwayland-egl-mesa/libegl1-mesa-
    dev, which got updated on Ubuntu.

  [ Héctor Orón Martínez ]
  * New upstream release
  * debian/README.source: add upstream remote information
  * debian/libwayland-server0.symbols: update symbols file

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 21 Jul 2019 20:30:10 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  xmlto,
  xsltproc,
  docbook-xsl,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/xorg-team/wayland/wayland.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/wayland
 Homepage: https://wayland.freedesktop.org/
@@ -52,8 +52,8 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Breaks: libwayland-egl1-mesa (<< 18.0.5-0ubuntu0)
-Replaces: libwayland-egl1-mesa (<< 18.0.5-0ubuntu0)
+Breaks: libwayland-egl1-mesa (<< 18.0.5-0)
+Replaces: libwayland-egl1-mesa (<< 18.0.5-0)
 Provides: libwayland-egl1-mesa
 Description: wayland compositor infrastructure - EGL library
  Wayland is a protocol for a compositor to talk to its clients as well
@@ -120,8 +120,8 @@
  libwayland-bin (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
-Breaks: libegl1-mesa-dev (<< 18.0.5-0ubuntu0),
-Replaces: libegl1-mesa-dev (<< 18.0.5-0ubuntu0),
+Breaks: libegl1-mesa-dev (<< 18.0.5-0),
+Replaces: libegl1-mesa-dev (<< 18.0.5-0),
 Multi-Arch: same
 Description: wayland compositor infrastructure - development files
  Wayland is a protocol for a compositor to talk to its clients as well
@@ -140,9 +140,9 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Breaks: libegl1-mesa-dev (<< 18.0.5-0ubuntu0),
+Breaks: libegl1-mesa-dev (<< 18.0.5-0),
  libwayland-dev (<< 1.15.0)
-Replaces: libegl1-mesa-dev (<< 18.0.5-0ubuntu0),
+Replaces: libegl1-mesa-dev (<< 18.0.5-0),
  libwayland-dev (<< 1.15.0)
 Multi-Arch: same
 Description: wayland compositor infrastructure - EGL backend development files

## wayland 1.20.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,13 @@
 option('libraries',
   description: 'Compile Wayland libraries',
+  type: 'boolean',
+  value: 'true')
+option('scanner',
+  description: 'Compile wayland-scanner binary',
+  type: 'boolean',
+  value: 'true')
+option('tests',
+  description: 'Compile Wayland tests',
   type: 'boolean',
   value: 'true')
 option('documentation',

## wayland 1.23.1

=== meson_options.txt ===
option('libraries',
  description: 'Compile Wayland libraries',
  type: 'boolean',
  value: true)
option('scanner',
  description: 'Compile wayland-scanner binary',
  type: 'boolean',
  value: true)
option('tests',
  description: 'Compile Wayland tests',
  type: 'boolean',
  value: true)
option('documentation',
  description: 'Build the documentation (requires Doxygen, dot, xmlto, xsltproc)',
  type: 'boolean',
  value: true)
option('dtd_validation',
  description: 'Validate the protocol DTD (requires libxml2)',
  type: 'boolean',
  value: true)
option('icon_directory',
  description: 'Location used to look for cursors (defaults to ${datadir}/icons if unset)',
  type: 'string',
  value: '')

## wayland mcp-0.3.2

=== wayland_mcp/requirements.txt ===
requests
fastmcp
Pillow
